For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList associated persons
      • POSTCreate an associated person
      • GETRetrieve an associated person
      • PUTUpdate an associated person
      • DELDelete an associated person
    • API Errors
Get access
LogoLogo
API ReferenceAssociated Persons

Update an associated person

PUT
/employees/:employee_id/associated_persons/:associated_person_id
PUT
/employees/:employee_id/associated_persons/:associated_person_id
$curl -X PUT https://test.api.kota.io/employees/ee_3b1333d87d9d4fd6ad83ba7f6b0e951a/associated_persons/ap_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "ap_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
4 "first_name": "Emily",
5 "last_name": "Johnson",
6 "date_of_birth": "1985-07-23",
7 "sex_at_birth": "female",
8 "relationship_type": "partner",
9 "platform_id": "pt_3b1333d87d9d4fd6ad83ba7f6b0e951a",
10 "object": "associated_person"
11}
Updates the specified associated person by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Previous

Retrieve an associated person

Next

Delete an associated person

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employee_idstringRequiredformat: "ee_.+"
associated_person_idstringRequiredformat: "ap_.+"

Request

This endpoint expects an object.
first_namestring or nullOptional

NOTE: This field will be normalized according to our internal formatting rules.

last_namestring or nullOptional

NOTE: This field will be normalized according to our internal formatting rules.

date_of_birthdate or nullOptional

Must be in the past, but after 1900-01-01

sex_at_birthenumOptional
The sex assigned to the associated person at birth
Allowed values:
relationship_typeenumOptional
The relationship type between the employee and the associated person
Allowed values:
emailstring or nullOptional

Email address of the associated person. If null is provided, the email will be cleared. NOTE: This field will be normalized according to our internal formatting rules.

phone_numberstring or nullOptional

Phone number in E.164 international format (e.g. +447700900999). If null is provided, the phone number will be cleared. NOTE: This field will be normalized according to our internal formatting rules.

Response

OK
idstringformat: "ap_.+"
Unique identifier for the associated person
employee_idstringformat: "ee_.+"
Unique identifier for the employee this person is associated with
first_namestring
First name of the associated person
last_namestring
Last name of the associated person
date_of_birthdate
Date of birth of the associated person
sex_at_birthenum
The sex assigned to the associated person at birth
Allowed values:
relationship_typeenum
The relationship type between the employee and the associated person
Allowed values:
platform_idstringformat: "pt_.+"
Unique identifier for the platform
emailstring or null
Email address of the associated person
phone_numberstring or null

Phone number in E.164 international format (e.g. +447700900999)

objectstringRead-only
The object type

Errors

400
Bad Request Error
404
Not Found Error